CISA Adds Citrix ShareFile Flaw to KEV Catalog Due to In-the-Wild Attacks

Last Updated: August 17, 2023By

Aug 17, 2023THNVulnerability / Enterprise Security

Citrix ShareFile Flaw

The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has added a critical security flaw in Citrix ShareFile storage zones controller to its Known Exploited Vulnerabilities (KEV) catalog, based on evidence of active in-the-wild exploitation.

Tracked as CVE-2023-24489 (CVSS score: 9.8), the shortcoming has been described as an improper access control bug that, if successfully exploited, could allow an unauthenticated attacker to compromise vulnerable instances remotely.

The problem is rooted in ShareFile’s handling of cryptographic operations, enabling adversaries to upload arbitrary files, resulting in remote code execution.

Cybersecurity

“This vulnerability affects all currently supported versions of customer-managed ShareFile storage zones controller before version 5.11.24,” Citrix said in an advisory released in June. Dylan Pindur of Assetnote has been credited with discovering and reporting the issue.

It’s worth noting that the first signs of exploitation of the vulnerability emerged toward the end of July 2023.

The identity of the threat actors behind the attacks is unknown, although the Cl0p ransomware gang has taken a particular interest in taking advantage of zero-days in managed file transfer solutions such as Accellion FTA, SolarWinds Serv-U, GoAnywhere MFT, and Progress MOVEit Transfer in recent years.

Threat intelligence firm GreyNoise said it observed a significant spike in exploitation attempts targeting the flaw, with as many as 75 unique IP addresses recorded on August 15, 2023, alone.

Cybersecurity

“CVE-2023-24489 is a cryptographic bug in Citrix ShareFile’s Storage Zones Controller, a .NET web application running under IIS,” GreyNoise said.

“The application uses AES encryption with CBC mode and PKCS7 padding but does not correctly validate decrypted data. This oversight allows attackers to generate valid padding and execute their attack, leading to unauthenticated arbitrary file upload and remote code execution.”

Federal Civilian Executive Branch (FCEB) agencies have been mandated to apply vendor-provided fixes to remediate the vulnerability by September 6, 2023.

The development comes as security alarms have been raised about active exploitation of CVE-2023-3519, a critical vulnerability affecting Citrix’s NetScaler product, to deploy PHP web shells on compromised appliances and gain persistent access.

Found this article interesting? Follow us on Twitter and LinkedIn to read more exclusive content we post.




Source link

Leave A Comment